INTRODUCTION

Overview

The main theme of the Proteus 8 release is integration. Development has therefore been focussed on taking the various discrete parts of a electronic design and coupling them together to achieve a better workflow. In order to achieve this, three major architectural changes were necessary; a unified application framework, a common database and a live netlist.

Application Framework

Proteus 8 consists of a single application (PDS.EXE). This is the framework or container which hosts all of the functionality of Proteus. ISIS, ARES, 3DV all open as tabbed windows within this framework and therefore all have access to the common database.

See Also

Application Framework

Common Database

The common database contains information about parts used in the project. A part can contain both a schematic component and a PCB footprint as well both user and system properties. Shared access to this database by all application modules makes possible a huge number of new features, many of which will evolve over the course of the Version 8 lifecycle.

Live Netlist

Together with the common database the maintenance of a live netlist allows all open modules to automatically reflect changes. The most obvious example of this is wiring in ISIS producing ratsnest connections in ARES but it goes much further than that. The new Bill of Materials module contains a live viewer and the 3D Viewer and Design Explorer are also linked into the live netlist.

See Also

Netlists

Schematic Capture & PCB Layout

Basic operation of both capture and layout is largely the same as in older versions of the software. The main functional differences are consequences of the framework changes (detailed above) which will enable a whole new development cycle for the software. A per module summary of changes is covered via the links below.

See Also:

Schematic Capture

PCB Layout

Netlists

Bill of Materials

The Bill of Materials in Proteus 8 has been completely rewritten as a top level application module. New features include:

  • Live preview of the BOM report.
  • Full WSIWYG editing of the report styling and presentation.
  • New Property Editor for adding formatted data to both the BOM report and the schematic components.
  • Additional output formats for direct export to PDF and MS Excel.
  • Full user interface control over categories and fields (columns) in the report.

See Also

Bill of Materials

3D Visualisation

The 3D Viewer has benefited from some major work in terms of both display technologies (now supports DirectX) and render speed (now multi-core capable). In keeping with the integration theme of the release, it will also auto-update to reflect changes in the layout.

See Also

3D Viewer

VSM Studio IDE

The VSM Studio IDE is now integrated directly in the Proteus 8 framework and is a top level application module. This allows for more widespread communication in both directions between the schematic (hardware) and IDE (firmware) elements of an embedded project.

New features include:

  • Auto-creation of skeleton firmware through new project wizard (according to chosen toolchain and microcontroller).
  • Auto-placement and powering of processor through new project wizard.
  • Automatic transmission of firmware from IDE to schematic on successful compile.
  • Full debugging system inside the VSM Studio IDE.
  • Active Popup technology allowing parts of the schematic to be docked and viewed inside VSM Studio while debugging.

See Also

VSM Studio


Installation

SOFTWARE INSTALLATION

As a result of changes in Windows policies and access rights, the installation of Proteus 8 differs significantly from previous versions. Both the file structure and the registry entries have changed as detailed below:

Installing Proteus

Installed Files

Much like previous versions of Proteus several folder groups are installed with the software, including:

  • BIN Directory (Read only)
  • Models Directory (Read only)
  • Library Directory (Read/Write)
  • Templates Directory (Read/Write)
  • Updates Directory (Read/Write)
  • Help Directory (Read only)
  • Samples Directory (Read/Write)
  • VSM Studio Directory (Read only)
  • Datasheets Directory (Read/Write)

Directories to which a user may require read/write access are now installed in the ProgramData (Application Data in Windows XP) folder while those requiring read only access are installed in the Program Files directory.

Migrating Libraries and other Files from Proteus 7.xx

Since Proteus 8 installs directories requiring write access in a different directory structure there may be some work required in moving existing libraries and data from your existing Proteus 7.xx installation. In general this can be fully automated but the process may vary depending on your Proteus 7 configuration.

Default V7.xx Installation

This is the normal situation in which your Proteus 7 was installed with a single library directory and you have not since changed, moved or added library paths.

After installation of Proteus 8 the Legacy Importer utility will launch and offer to copy your user libraries, styles and templates to the new Proteus 8 locations.

No user action is normally required for this type of installation.

If you did not make use of the Legacy Importer utility during installation you can launch it separately from the BIN directory of your Proteus 8 installation (LegacySettingsImporter.exe).

Custom V7.xx Installation

In this case you have more than one library directory specified for your Proteus 7.xx installation.

Since we don't know why libraries have been separated or moved you may need to work manually by copying files between your Proteus 7.xx directories and your Proteus 8.xx directories.

The legacy importer utility will launch after installation and point to a library path. Depending on how you have set up your system this may or may not be your primary Library path. If it is, then run the tool as normal - if it isn't then browse to your primary Library path and then run the tool.

Organising your secondary Library paths is up to you. Typically however the secondary library path from Proteus 7.xx can simply be added as a secondary path in Proteus 8 via the Set Paths command on the System Menu.

Do not change the primary Proteus 8 library path to the old Proteus 7 library path. This will cause problems throughout the software.

If all else fails, you may need to get a couple of copies of Windows explorer open and copy files manually between your Proteus 7 Library directory and your Proteus 8 Library directory.

Relevant Files

The following is a list of files that may be relevant for copying or moving between Proteus 7 and Proteus 8.

Library Directory

PROPDEFS.INI : This file must not be copied from Proteus 7 as it is completely different in Proteus 8.

SYSTEM.LIB : This file must not be copied from Proteus 7 as it is completely different in Proteus 8.

DEFAULT.STY : This file contains custom pad and trace styles and can be copied from Proteus 7 into Proteus 8. However, we recommend using the migration tool in the installer as this will merge rather than overwrite the V7 and V8 versions of the file.

Read Only Libraries: These will typically be libraries supplied by Labcenter. You should not copy these across to Proteus 8 as we may have added parts or corrected errors.

VML Files: These are combined 3D model files supplied by Labcenter. You should not copy these across to Proteus 8 as we may have added parts or corrected errors.

3DS Files: Typically these will be user generated 3D model files and should therefore be copied across to the Proteus 8 Library directory.

User Libraries: These will contain user generated library parts and should therefore be copied across to the Proteus 8 Library Directory. Three such libraries are supplied as standard (USERDVC.LIB, USERPKG.LIB & USERSYM.LIB) although users can create as many as they need.

IDX Files: These are temporary files generated when Proteus is launched and should not be copied between Proteus 7 and Proteus 8 directories.

Models Directory

Models that have been created or downloaded (e.g. SPICE models) by the user can be copied from the Proteus 7 models directory to the Proteus 8 Models directory. You should not copy any other files as these may have changed in Proteus 8.

Template Directory

Template Files in the Proteus 7 template directory can be copied into the Proteus 8 template directory.

Datasheets Directory

Datasheets from the Proteus 7 directory can be copied into the Proteus 8 datasheets directory.

Bill Of Materials

Bill of Materials configurations can be migrated from within the software by opening the Bill of Materials application module. You can re-launch the tool at any time from the Import Templates command on the Template Menu inside the BOM Module.

Silent Installation / Network Installation

Advanced users only. This topic is intended for System Administrators.The Proteus 8 installer is an MSI installer and system administrators can make use of this to help with large deployments.

Command line silent installation involves two steps.

1) Extract the MSI on Server

From the command prompt you type something like :

setup_pro8.0.15299.0.exe /exenoui /a // /passive /qn TARGETDIR="C:\PROJECTS\PROBUILD\Installers\English\netimg"

where setup_pro8.0.15299.0.exe is the Proteus installer and the TARGETDIR path is the path to extract to. Typically executed on the server.

2) Silent Install on the Client

From an administrative command prompt on the client you run something like :

msiexec /i "\\networkshare\setup_pro8.0.15299.0.msi" /qn DATA_DIR="E:\Proteus\v8data" APPDIR="E:\Proteus\v8" LXK="\\networkshare\licenses\lic.LXK"

where we have path to msi that was extracted by step 1 (other files also extracted), the target program data directory and the target program directory. The order of command line arguments is important.

Licence keys can be installed by command line option to the installer by adding a parameter LXK="full\path\to\lic.LXK"

To install a language pack with the installation the LANG_PACK="full path to language pack" can be appended. To prevent the re-installation of a language pack the NO_LANG_PACK=1 option can be appended.

Where a server license and dongle are installed the KEY_SERVER property can be set on the command line to point to the licence key server. If set this will set the environment variable, if not set the variable will be cleared.

Batch files on the client side can help with automation of this step.

Update Control

In large corporations or institutions you may want to control the deployment of updates on client machines. This can be done by setting registry keys on the clients as follows:

HKLM\SOFTWARE\[Wow6432Node\]Labcenter Electronics\Proteus 8 [Professional|Lite|Demo]\Update Manager

UpdateSchedule is a dword value in days between 2 and 30. This is the checking period for the client.

IgnoreBetas is an optional string which can be added and set to either "true" or "false"

disableUpdateInstallation is an optional string with change can be added and set to either "true" or "false"

The latter key will prevent any client machines from installing available updates independently.


Framework

APPLICATION FRAMEWORK

Overview

Proteus 8 is a single application with many service modules offering different functionality (schematic capture, PCB layout, etc.). This offers significant advantages in development, not least the ability to have a common database of information which is shared between the modules.

Within the new framework, several new terms are used which were not relevant in previous releases.

(Application) Module

An application module encompasses functionality that opens as a top level tab inside the Proteus application. At the time of writing these include :

  • Proteus Home Page
  • ISIS Schematic Capture.
  • ARES PCB Layout.
  • 3D PCB Viewer.
  • Bill of Materials.
  • Design Explorer
  • Gerber Viewer.
  • VSM Studio IDE
Frame

A frame is essentially a window in Proteus 8 and can contain several tabs. By default you have one frame, although you can drag tabs to create new frames or to close frames.

Tab

A tab is a small placeholder at the top of a frame that - when clicked - will bring an application module to the foreground. You can also drag and drop tabs onto other monitors (or an area of free space) to open them in a separate frame.

The following is a brief summary of top level changes to the presentation of the Proteus suite.

Filing

Proteus 8 in general makes use of a single compound file with extension pdsprj. All application modules will store data inside the pdsprj file but in general you will be prompted to save data for external use elsewhere on disk.

Schematic and PCB

  • The schematic data is stored in the pdsprj file.
  • The PCB data is stored in the pdsprj file.
  • Bill of Materials generation will prompt you to save to disk.
  • Output for manufacture from the PCB module will prompt you to save to disk.
  • PDF and general graphics output from both schematic and PCB modules will prompt you to save to disk.
  • PDSPNL is used for Panelisation Projects (CADCAM files for multiple PCB's arranged into a single panel for manufacture).
  • PDSCLP is used for Project Clips - sometimes known as design snippets.

Schematic and VSM

  • The schematic data is stored in the pdsprj file.
  • The source code files are (by default) stored in the pdsprj file.
  • In debug configuration the object files are stored in the pdsprj file for VSM Simulation.
  • In release configuration the hex file is copied outside of the pdsprj file for programming physical hardware.

You can choose to keep your source files outside of the pdsprj file by unchecking the 'attach files' checkbox in the VSM Studio project settings.

The main objective is to keep anything internal to Proteus development in a single compounds file while anything used by another application or device is saved externally.

In addition to the pdsprj file Proteus 8 also writes a per user workspace file for each project. This basically remembers the state of the project when closed including:

  • Number of open frames.
  • Number of open tabs and which tabs belong with which frame.
  • Size and position of frame(s) on the users monitor(s).

Menu's and Icons

Most of the menu commands and icons are unchanged from Proteus 7. However, they will switch dynamically when you click on a tab. For example, if you have a tab for ISIS and a tab for ARES then when you click on the ARES tab the menus and icons will switch to the ARES command set and when you click on the ISIS tab the menu and icons will switch to the ISIS command set.

There are of course new icons for new features and some functionality is in a different place. This is summarized in brief below:

Bill of Materials

The BOM in Proteus 8 has been completely re-written as a top level application module. It can be launched from the toolbar at the top of any Proteus frame.

Home Page

The home page is a new application module in Proteus 8 and can be launched from the toolbar at the top of any frame.

3D Viewer

The 3D Viewer is now an application module in Proteus 8 and can be launched from the toolbar at the top of any frame.

Gerber Viewer/Editor

The Gerber viewer/editor opens a top level application module in Proteus 8. When a project is open this module launches as a Gerber Viewer. When no project is open it launches as a Gerber Editor and enables panelisation.

Gerber Viewing vs Gerber Editing

VSM Studio IDE

Proteus 8 includes it's own development IDE (VSM Studio). This is integrated in the main application as a top level module and can be launched from the application module toolbar.

Update Manager

Update manager is now integrated with the home page and the old launch commands have been removed.

Active Popups

Active popups are a new simulation feature in Proteus 8 and have their own icon on the ISIS simulation toolbar.

Tabs and Frames

Each top level application module will open in a new tab inside the current frame.

If you prefer (and particularly if you work with two monitors) you can drag and drop a tab into free space to create a new frame. This allows you to see both modules simultaneously which, together with the common database and live netlisting, is a common method of working.

To open a new tab

Normally, you would do this simply by clicking on the icon on the application module toolbar.

The exception to this paradigm is graphs which will open in a new tab when maximised. Graphs are not represented in the application module toolbar as they are entirely dependant on being placed in the schematic capture module.

Design explorer can also be opened from the context menu of components in ISIS or footprints in ARES.

To close a tab

Close a tab by clicking on the cross at the right hand side of the tab.

Alternatively, closing a frame will close all tabs inside the frame.

To open an additional frame

Assuming you have both the ISIS and the ARES tabs open and you want to view them at the same time:

Drag the ARES tab either onto a separate monitor on into free space.

OR

Double click on the ARES tab to automatically separate into two frames on the same monitor

To re-join two frames

To re-join one frame to another simply drag either the tab or the window from the second frame over the first. There is a subtle difference where the second frame has more than one tab open in that dragging the window will re-join all of the tabs in the window whereas dragging a tab will re-join only that tab

To close a frame

Use the cross at the top of the window to close it. If you have more than one frame open you will be prompted to close either the current frame or the complete application.

Home Page

The home page is a new application module in Proteus 8. Most of the links and actions need little explanation but the some elements are worthy of further discussion.

New Project Wizard

This wizard guides you through the setup of your next Proteus 8 project. There is a start page in which you specify the project name and destination directory and then potentially three main screens for schematic, PCB and firmware.

Schematic

If you are creating a schematic check the box at the top of the screen and then select the template on which you want to base the schematic. Those provided by Labcenter basically contain different sizes of work area, although you can customize and save your own templates from within the schematic capture module.

PCB Layout

If you are creating a PCB check the box at the top of the screen and select from the available templates. PCB templates contain pre-defined board edges, mounting holes and a full set of technology data (design rules, layers in use, default units, etc.) As with schematic, you can customize and save your own templates from within the PCB layout module.

This screen will only be presented to you if you have a license for one of the Proteus PCB design products.

Layer Usage

This page allows you to directly adjust the layer stack defined in the PCB template you selected in the previous screen. You can add or remove inner layers as well as renaming them for the current project. During board layout this simplifies the selection filter for operations like track placement.

Specific layers can be renamed and selected / de-selected as per the user requirements.

This screen will only be presented to you if you are working on a PCB Design project.

Firmware

If you are creating an embedded design and want to simulate your firmware, check the create firmware box at the top of the screen and then select your controller and compiler using the combo boxes. If selected, the quick start files checkbox will generate a skeleton firmware project for you and configure project settings for compilation.

Creating a firmware project requires a schematic in order to simulate so you cannot proceed from this screen if you opted not to create a schematic earlier in the wizard.

The combo boxes on this screen are license aware so you cannot create a firmware project for a controller than you cannot simulate in Proteus.

There is also a summary page at the end allowing you to review your setup before the wizard exits and generates the project files.

Import Project Wizard

The legacy import wizard is a single screen wizard that lets you quickly port designs and layouts from earlier versions through to Proteus 8.

To import a legacy project

Browse for the old schematic (.dsn file)

If a PCB file (.lyt file) is associated with the schematic it will automatically appear in the Layout field. If there is no layout file associated with the schematic then leave this field blank.

If an old VSMStudio file (.vsmp) with the same name as the schematic exists in the same directory it will automatically appear in the VSM Studio edit box. If the wrong VSMP file appears or there is no corresponding VSMP file then either browse for the file or leave blank.

The project name and path are taken from the filestem and location of the schematic being imported. You can change this if required from the fields at the bottom of the dialogue box.

When you are finished use the import button to create an import a Proteus 8 project.

If you change the path for a VSM project then you will need to manually change the PROGRAM property of the microcontroller, otherwise your simulation will fail.

For PCB Design projects at this stage the schematic and layout have been brought into Proteus 8 exactly as they were in Proteus 7. However, there is no binding between the two, nor has any netlist information been passed from schematic to layout (Live netlisting is switched off). This is because the relationship between the schematic connectivity and the layout connectivity is unknown and we do not want to automatically make changes to a layout that may not be intended by the designer. After checking that import is successful you must therefore turn live netlisting back on from the toggle on the Tools menu in ARES before doing any work on the project.

We would advise that during development users should work with live netlisting switched on.

The only time where live netlisting switched off may be of use is on larger layouts with multiple zones where there may be a performance penalty because all of the zone connectivity will be re-calculated on each schematic change. Note however that leaving Live Netlisting On and simply closing the ARES tab or frame is just as optimal - netlist updates do not occur in the background.

We do not imagine that anyone would import a semi-complete project but if this does happen note that no components will be available for placement on the layout until you sync (turn live netlisting on from the ARES tools menu).

If you import a project but do not turn live netlisting on before working you will be working entirely without a netlist in ARES. This is not recommended.

News and Information

The news and information section of the homepage is an interface for communication and notifications. Probably it's most common use will be to display and enable the download and install of software updates, although we hope it will also be useful for error reporting feedback and release information reports.

Display Modes

There are three main views of the project, the schematic capture, the PCB layout and the 3D Viewer. In Proteus 8, each module supports two separate hardware acceleration technologies as well as standard Windows graphics rendering.

Assuming your computers graphics card supports hardware acceleration you can choose between OpenGL and Direct2D/3D from the display options command on the System Menu of the appropriate module.

The performance and rendering of a hardware accelerated display will of course depend on your graphics card and drivers.

Software Updates

Software updates are integrated into the home page in Proteus 8. Notification of updates will appear in the news and information of the home page and you can activate the download and installation of the new software release directly.

Error Reporting

We have introduced a new error reporting system in Proteus 8. If the software crashes unexpectedly you will normally be prompted on restart to send a crash dump to Labcenter. The information in the dump allows us to see where in the software the problem occurred and helps us to fix issues more quickly.

The successful submission of a crash dump will be reported in the news and information section of the homepage and you will also receive notification of a successful fix to a reported issue.

We would ask all users to help us improve software quality by submitting these reports if you experience a software crash and are prompted to do so.

It is important to understand that dump files are not infallible. The source of a problem may not lie at the point the software crashed and - in the case of memory or heap problems - the dump file may be of little use. However, they do let us know that a problem exists and give us a solid starting point for investigating and fixing the issue.

Transmission of dump files is enabled by default but, if need be, can be disabled via the System Settings command on the System Menu.


Netlist

NETLISTS

Overview

A netlist is basically the extraction of electrical data from one part of a CAD package into a form that can be interpreted by other parts of the CAD package.

In traditional CAD design, the netlist is created from a schematic and transmitted at the press of a button. This is a batch operation where all of the design changes made are propagated at the same time. By contrast, a live netlist means that individual changes to the schematic are automatically reflected in the other application modules.

Proteus 8 makes extensive use of live netlisting while retaining the option of batch mode netlisting for PCB layout. The following is a summary of how netlisting affects the various Proteus 8 application modules.

Schematic Capture (ISIS)

In Proteus, the schematic capture module generates the netlist and transmits it to the rest of the system. When you make changes to the schematic that affect electrical connectivity (wiring, placement, deletion, etc.) the netlist is also changed in the background.

PCB Layout (ARES)

The PCB Layout module receives netlist data from the capture module in one of two ways:

  1. When live netlisting is enabled data is received whenever the ARES module is open and visible.
  2. When live netlisting is off data is received when you manually click on the padlock icon at the bottom of ARES. The padlock icon will appear when changes to the netlist have occurred (ISIS has changed) but have not been received.

Live Netlisting On

When live netlisting is on changes made to the schematic will be received by the layout immediately if the layout module is already open and visible or immediately after it is brought to the foreground.

A change that adds to the layout will simply update on the board. For example, the adding of a connection in ISIS will add ratsnest lines in ARES.

A change in ISIS that removes tracks or components from the board requires manual confirmation. Objects which have been removed from the schematic will appear dimmed in ARES and will then be removed entirely when you click on 'changes pending' to synchronise with the schematic.

Live Netlisting Off

Live netlisting off is a batch mode operation rather than an automatic netlist update. It is very much like the old system where you press a button to transfer the netlist from schematic to layout and exists for two main reasons:

Importing Old Projects

It is important that the import does not automatically transfer the netlist and potentially disturb the layout without explicit user consent. Live netlisting is therefore off after import but must be manually turned on before any further work is done.

See Also:

Importing Version 7 Projects

Large Designs

Live netlisting will impose an overhead which may be noticeable on larger designs (particularly those with multiple power planes) because the zone connectivity will be re-calculated on each schematic change. It is worth noting however that leaving Live Netlisting On and simply closing the ARES tab or frame is just as optimal - netlist updates do not occur in the background.

How it Works

When live netlisting is off a change to the schematic will lock the layout until you manually choose to accept the netlist data. You do this by clicking on the 'out of sync' padlock icon at the bottom of ARES. This is equivalent of 'Netlist to ARES' in previous versions.

Once the netlist is received you may also have to accept pending changes to the layout if the schematic changes made remove objects already on the board.

Switching netlist modes

When you create a new project live netlisting is enabled by default. You can switch it off from the toggle on the Tools menu in ARES.

When you import a legacy project from an older version of Proteus live netlisting is switched off by default. This is mostly because the relationship between the schematic connectivity and the layout connectivity may be radically different and we do not want to automatically make violent changes to a project. After checking that import is successful you should turn live netlisting back on from the toggle on the Tools menu in ARES.

We would advise that during development users should work with live netlisting switched on.

Bill of Materials

The Bill of Materials module receives a live netlist from the schematic whenever it is open and visible. The data read from the netlist is used to populate the BOM preview window which will automatically update as the schematic is changed.

Design Explorer

The Design Explorer module receives a live netlist from the schematic whenever it is open and visible. This allows both the physical (partslist) and electrical (netlist) views to update automatically to reflect the current state of the schematic.

Simulation

Running a simulation uses a netlist of a different type than PCB layout (logical netlist rather than physical netlist). This works largely as it did in previous versions of the software.


Schematic

SCHEMATIC CAPTURE

Overview

The basic operation of ISIS itself is identical to earlier versions of Proteus. Much of the difference is internal, as information about the parts on the design is written to the common database and connectivity information is generated in the background as a live netlist.

The most obvious usage changes will be seen when using the Bill of Materials and the Design Explorer which both open as new tabs and inter-operate with the schematic. For those working with PCB's the lack of a netlist button will also be noticeable - this is now handled on the layout side. The following is a summary of changes internal to ISIS itself.

Multi-Element Parts

A multi-element part is a single physical parts with several contributing logical elements. The common database deals primarily with parts and it is therefore not possible for elements to supply conflicting data. This is most obviously seen with properties; unlike earlier versions, changing a property in one element will automatically change that property in all of the other elements of the part.

Annotation & Gateswap

The annotation and swapping of gates in the Edit Component dialogue now works slightly differently. Take the following as an example:

When placed an element reflects both it's part reference (e.g. U1) and it's element identifier (e.g. A). In the edit component dialogue these are now separated into two fields.

Part Reference

Changing the part reference will re-annotate all of the elements. For example, changing U1 to U4 will change all of the U1 elements to U4 elements. You will get a warning if you change this annotation to one that is already in use (for example U2).

Element

Changing the element will swap the current element with the one selected from the combo box. Pressing the new button will change the annotation to the next available element not currently on the schematic.

To re-annotate U1 to U4

Edit one of the U1 elements and change the part reference to U4

To gateswap U4:A with U4:C

Edit the U4:A element and change the element to U4:C.

To annotate a heterogeneous part

If you have a multi-element heterogeneous part such as a relay with a coil and contacts the process is similar to that in previous versions. When you place the elements on the schematic they will be un-annotated as manual annotation is required for heterogeneous parts.

The annotation of each element is of the form

<part ref> : <element>

and is entered in the part reference field of the dialogue. For example, the coil might be annotated as RL1:A and the contacts as RL1:B and RL1:C

Assuming the contacts are identical, you can subsequently gateswap them via the element field of the Edit Component dialogue.

The gateswap will only work if the contacts are instances of the same library part. Since they are identical, you need only one library part, regardless of how many contacts are placed on the schematic.

Non-Packaged Parts

In Proteus 8 there is no requirement for a part to be packaged before it is imported by ARES. Parts without a specified package will appear in the object selector in ARES in exactly the same way as those with footprints. When you then try to place the part in ARES you will then be prompted to assign a footprint to the part.

Physical Terminals

Physical terminal no longer require script blocks to associate them with footprints. Instead, they take advantage of the non-packaged parts scheme described above. When you place one or more physical terminals corresponding to a component it appears in the ARES parts bin and is then associated with a footprint on placement.

Do not use *FIELD blocks in Proteus 8. Packaging for non-physical parts is performed as above and properties for non-physical parts can be added/configured in the BOM. The *FIELD syntax is redundant and will be phased out.

Exclude from BOM

The Edit Component dialogue in ISIS has an additional checkbox to exclude a part from the Bill of Materials. This is particularly useful when producing several variants for a single board.

Graphics Import

The import of graphics for company logo's has been rationalised and extended to include additional formats, namely:

  • PNG
  • JPEG
  • GIF

All import is via the new Import Image command on the File Menu and you select the format from the bottom of the resulting windows open dialogue form.

Cross-Probing to PCB

You can now directly cross-probe to the package on the layout via the context menu on the ISIS component. If the part is not placed then nothing will happen.

Net Class Specification

You can now configure net classes on the schematic. Amongst other things net classes allow you to specify track thickness and via styles for connections on the PCB. They are also selectable in the Design Rule Manager in ARES where you can configure clearances specific to the net class.

To set up a net class, right click on a wire on the schematic, select the place wire label option from the context menu and then switch to the net class tab on the resulting dialogue form.

Either select from the dropdown list of existing net classes or use the new button to create a new net class.

Once the net class is selected the rest of the dialogue from will become enabled and you can configure as required.

Design Rule Clearances are set via the Design Rule Manager on the Technology Menu in ARES. You can set different rules for different net classes.


PCB

PCB LAYOUT

Overview

The basic operation of ARES is much the same as in previous versions. The main differences are how it inter-operates with different parts of the system For example, you can now have the 2D and 3D views of the board open simultaneously and the 3D view will auto-update as you edit the 2D view. Notably, ARES receives and handles connectivity information (netlist data) from ISIS in a different way.

The following is a summary of changes to the operation of ARES itself.

Netlists and Synchronization

Communication between schematic and PCB has fundamentally changed in Proteus 8. You can now operate with a fully live netlist as well as the more typical batch mode netlist.

There is a new connectivity status controller in ARES that handles the synchronisation of the board with the schematic. This replaces the old 'Netlist to ARES' command in Proteus 7. By default, you can find the connectivity status at the bottom of the layout module beside the DRC checker and will be in one of four states at any time.

No Netlist

This is essentially the disabled state and will be shown either when:

  • There are no connections in the schematic.
  • You have cleared the netlist (Tools Menu - Clear Netlist) manually and live netlisting is switched off.

Locked

The locked state is shown only when live netlisting is switched off and the schematic has changes which have not been applied to the PCB. In this state editing of the layout is disabled.

Clicking on the lock icon will apply the current state of the schematic to the layout and the layout will be unlocked for editing. If you have made changes to the schematic that require removal of parts from the layout then you will immediately enter the changes pending state (see below).

If you really need to make a layout change while it is locked then clear the netlist from the Tools menu, make the change(s) and turn netlisting back on. This shouldn't happen but it is possible.

Changes Pending

This state is shown when the current schematic information has been passed to the layout and there are items which need your confirmation.

You will see this wherever a schematic change involves the removal of object(s) from the layout. The parts and/or tracks in question will dim to illustrate that they are no longer valid and you then have two choices:

  1. Click on the changes pending button to confirm the changes. Dimmed objects will disappear and the schematic and layout will be back in sync.
  2. Revert the changes on the schematic either manually or via the undo button. Dimmed objects will be re-instated and the schematic and layout will be back in sync.

It is worth emphasising that a dimmed object is deemed not present on the board for all but visual purposes. They serve to show the user the effect of committing changes on the schematic and as a placeholder should the user decide to revert changes on the schematic.

If you find that the dimmed devices are hard to see, you can change the colour of the dimming in the Edit Layer colours/Visibility dialogue form in the View menu.

If you end up in a situation where you cannot synch or are having problems, turn live netlisting off and then clear the netlist from the Tools menu. Make the necessary changes to the schematic / layout to bring them into synch and then turn netlisting back on. The philosophy in Proteus 8 is very much that the connectivity of the schematic must not conflict with that on the layout. After legacy import, some work may be required to reach a synched state.

Live CRC Display

You will see this state whenever a netlist is loaded and the schematic and the layout are in sync. In other words, most of the time ! The display will change to indicate the number of missing connections on the layout based on the schematic wiring.

Clicking on the widget will launch a textual list of the missing connections and you can navigate to a connection by double clicking on its entry in the list.

Switching Netlist Modes

You can switch between live netlisting and batch mode netlisting via the Live Netlist command on the Tools menu in ARES.

  • All new projects are created with live netlisting switched on.
  • All imported (legacy) projects are created with live netlisting switched off. This is necessary as there may be netlist errors at the point of import.
  • All opened projects remember their netlist mode from the previous session.

Netlist Errors

It is not possible to run a live netlist with errors as the system requires that your netlist is valid. You therefore need to resolve netlist errors as they occur.

If you are working with live netlisting switched off you will need to resolve netlist errors at the point you unlock ARES.

Netlist errors will appear in a separate tab at the point the netlist is transferred from schematic to layout. For example, if you have unconnected power rails you will get netlist errors along the lines of the following :

You would then resolve these errors by connecting the power supplies in the Power Rail Configuration dialogue form.

See Also

Netlists

Deleting Packages

In Proteus 8 there are two ways to remove a footprint that has been placed on the board; you can either delete the package directly in ARES or you can delete the associated component in ISIS.

  • If you delete the package directly in ARES any placed tracks that connected to the package will remain.
  • If you delete the component in ISIS then, when you click on changes pending in ARES, both the footprint and the tracks connecting to it will be removed.

Block Operations

The nature of a block paste means that you may bring in circuitry whose annotation matches that of parts on the schematic. If it doesn't match the correct parts on the schematic at the time of the paste you can end up with part bindings that you did not intend. Before performing any kind of block paste you should therefore:

  • Clear the netlist (Tools Menu)
  • Copy/Paste the circuitry.
  • Re-annotate as desired to match your schematic components.
  • Turn netlisting back on (Tools Menu)

It is both better and much, much safer to use Project Clips for this type of re-use.

Introduction to Project Clips Movie.

Back-Annotation

Annotation in Version 8 is both far simpler and far more flexible than in previous releases. There are however some slight differences in how it works depending on which netlist mode you are using.

Manual Annotation

When live netlisting is enabled a change to the annotation in the PCB immediately reflects back to the schematic and vice versa. This is not an action that requires separate confirmation.

When live netlisting is switched off a change to the annotation in the PCB immediately reflects back to the schematic and the PCB enters a locked state. A change to annotation on the schematic will not propagate through to the PCB automatically but will instead place ARES in an out of sync state.

In either case, clicking on the unlock icon will apply the netlist and unlock the PCB for further editing.

Automatic (Global) Annotation

Global annotation from the PCB (Tools Menu - Automatic Annotator) has been enhanced to give various directional options.

The effects of running the command are identical to manual annotation, namely that it will simply happen with live netlisting enabled and that it will switch ARES into a locked state with live netlisting disabled.

Obviously, the position of parts on a layout is completely arbitrary and any attempt to sensibly re-annotate the board relies on heuristics. While generally a global re-annotate will perform sensibly it does very much depend on the individual board topology and you may need to make some manual adjustments.

Intelligent Parts Bin

A common frustration with starting a layout following schematic design is the large quantity of parts to be placed that are identified only by part reference. Proteus 8 includes two additional features to the ARES parts bin to help make this simpler:

  1. Part values are displayed alongside the part references.
  2. Displayed contents can be limited to a selection on the schematic.

To limit the ARES parts bin contents

In ISIS, switch to selection mode, left depress the mouse and drag a selection box around the area of interest.

In ARES, switch to component mode and change the combo box at the top of the parts bin to 'tagged'

Cross-Probing to Schematic

You can now directly cross-probe to a schematic part from the context menu on a PCB footprint. If the part contains multiple elements then you will be prompted to select the element you want. You cannot cross probe if live netlisting is off and the layout is in a locked state.

Gerber Viewing / Gerber Editing

When you perform a CADCAM output from ARES you have the option to view the resulting fileset in the Gerber Viewer. This will open as a new tab.

This is strictly a view of the CADCAM data and no Editing operations can be performed.

If you want to add information or panelize you need to first close the current project, then open the gerber module and load in your CADCAM files.


3DV

3D VIEWER

Overview

Like much of the Proteus 8 suite, the 3D Viewer has undergone a major technology upgrade in this release. It is now a separate entity from ARES and is a top level module. Both the technology used to render the scene and the way in which the scene is processed have been upgraded.

Display Technologies

In common with the other drawing modules in Proteus, the 3D Viewer has been updated to enable rendering with Direct 3D (part of DirectX). Provided your graphics card supports hardware acceleration you can therefore choose between OpenGL and Direct3D modes for render. Options such as multi-sampling will be enabled according to their support level in your graphics drivers.

Multi-Core Rendering

The rendering of the 3D scene has been re-designed to be multi-threaded and will take advantage of the additional processing power available on multi-core computers.

Depending on your computer spec. and, in particular, the number of cores on your machine this results in a performance gain of between 30% and 50%.

Auto-Update from ARES

The 3D Viewer will now update when objects in ARES are added/removed and the viewer is both open and visible. Depending on the size of the board and power of your computer this may be almost instantaneous or may take a minute or two to complete.

In practice, and with boards of modest complexity, this means that you can have both the 2D board (ARES) and the 3D Viewer open in separate frames and reference any changes in one directly on the other.

Pre-Defined Views

In addition to the existing pre-defined positional views of the board you can now flip the board around the current camera position. This makes it very easy for example to check the underside of the board around a component. The positional views will work in exactly the same way regardless of which side of the board you are viewing.

Pre-defined views with additional board flip option.

If you need full positional control you can use manual navigation of the 3DV which works in exactly the same way as in previous versions.

Specular Lighting

Contrast between copper objects (tracks, board, zones, etc.) in a 3D view is best obtained by applying an angled light to the board. This has been improved in Proteus 8 with the introduction of specular lighting. Essentially this mimics the way light bounces off objects and improves the view by taking account of ambient light, the diffuse lighting angle and the rotational position of the board.